Bug 111187 - CRASH: Crash clicking somewhere in the sheet after adding a textbox with zero undo steps
Summary: CRASH: Crash clicking somewhere in the sheet after adding a textbox with zero...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace
Depends on:
Blocks: Undo-Zero-Steps Crash
  Show dependency treegraph
 
Reported: 2017-08-02 19:07 UTC by Telesto
Modified: 2022-05-17 03:30 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SdrObject::ActionChanged()"]
Regression By:


Attachments
gdb backtrace (24.29 KB, text/plain)
2018-06-18 16:15 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-08-02 19:07:25 UTC
Description:
Crash clicking somewhere in the sheet after adding a textbox with zero undo steps

Steps to Reproduce:
1. Open Calc
2. Set LibO to zero undo steps: Menu -> Tools -> Options - Advanced -> Open expert configuration. Search for Undo. Set the undo count from 100 (default) to zero (https://help.libreoffice.org/Common/Memory#Number_of_undo_steps) 
3. Draw a textbox (don't add anything)
4. Click somewhere in the sheet -> Crash

Same happens in Draw

Actual Results:  
Crash

Expected Results:
No crash


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in:
Version: 6.0.0.0.alpha0+
Build ID: 18f80da7a689ab962735c0f657497b8f1ed4d606
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-07-28_05:15:48
Locale: nl-NL (nl_NL); Calc: CL

and in
5.4.0.3


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 raal 2017-08-02 19:55:57 UTC
I can confirm with Version: 6.0.0.0.alpha0+
Build ID: e0bafa78e3ad0df397d78cd65ad19bd5b07dc5f2
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-07-20_22:42:49
Locale: en-US (cs_CZ.UTF-8); Calc: group
Comment 2 raal 2017-08-02 19:58:20 UTC
no crash with Version: 4.1.0.0.alpha1+ -> regression
Comment 3 raal 2017-08-02 19:59:25 UTC
(In reply to raal from comment #2)
> no crash with Version: 4.1.0.0.alpha1+ -> regression

Take back , 0 steps are rewritten to 1 after save
Comment 4 Xisco Faulí 2018-06-18 16:15:00 UTC
Created attachment 142873 [details]
gdb backtrace
Comment 5 QA Administrators 2019-06-19 02:48:21 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2019-06-21 14:22:41 UTC
Still crashes

Arch Linux 64-bit
Version: 6.4.0.0.alpha0+
Build ID: ff6456b851cbe80f9fa03522c88699cc30ffcfb6
CPU threads: 8; OS: Linux 5.1; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 21 June 2019
Comment 7 Aron Budea 2019-06-21 15:01:38 UTC
Good to have a reliable crasher for testing.
Comment 8 QA Administrators 2022-05-17 03:30:45 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug